Freeciv-3.1: packet_ruleset_government Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_government Struct Reference

`#include <packets_gen.h>`

## Data Fields

Government_type_id | id
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | helptext [MAX_LEN_PACKET]

## Detailed Description

Definition at line 1109 of file packets_gen.h.

## Field Documentation

## ◆ graphic_alt

char packet_ruleset_government::graphic_alt[MAX_LEN_NAME]

Definition at line 1116 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().

## ◆ graphic_str

char packet_ruleset_government::graphic_str[MAX_LEN_NAME]

Definition at line 1115 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().

## ◆ helptext

char packet_ruleset_government::helptext[MAX_LEN_PACKET]

Definition at line 1117 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().

## ◆ id

Government_type_id packet_ruleset_government::id

Definition at line 1110 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().

## ◆ name

char packet_ruleset_government::name[MAX_LEN_NAME]

Definition at line 1113 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().

## ◆ reqs

struct requirement packet_ruleset_government::reqs[MAX_NUM_REQS]

Definition at line 1112 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().

## ◆ reqs_count

int packet_ruleset_government::reqs_count

Definition at line 1111 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().

## ◆ rule_name

char packet_ruleset_government::rule_name[MAX_LEN_NAME]

Definition at line 1114 of file packets_gen.h.

Referenced by handle_ruleset_government(), and send_packet_ruleset_government_100().